RoutesWorkflows module
Workflows routes
URLs the Workflows module answers, their parameters and the variables each view receives.
Admin view
GET
/cdna-admin/workflows/add-workflow
addWorkflow
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$workflow |
Workflow |
Single (empty) Workflow record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
GET
/cdna-admin/workflows/workflow/{id}
editWorkflow
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$workflow |
Workflow |
Retrieved Workflow record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
GET
/cdna-admin/workflows/workflows
manageWorkflows
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$workflows |
Collection<Workflow> |
Collection of Workflows |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.